"""
Author: Michel Peltriaux
Organization: Struktur- und Genehmigungsdirektion Nord, Rhineland-Palatinate, Germany
Contact: michel.peltriaux@sgdnord.rlp.de
Created on: 30.11.20

"""
from django.urls import path

from compensation.views import *

app_name = "compensation"
urlpatterns = [
    # Main compensation
    path("", index_view, name="index"),
    path('new', new_view, name='new'),
    path('<id>', open_view, name='open'),
    path('<id>/edit', edit_view, name='edit'),
    path('<id>/remove', remove_view, name='remove'),

    # Payment
    path('pay/<intervention_id>/new', new_payment_view, name='pay-new'),
    path('pay/<id>', open_view, name='pay-open'),
    path('pay/<id>/edit', edit_view, name='pay-edit'),
    path('pay/<id>/remove', payment_remove_view, name='pay-remove'),

    # Eco-account
    path("acc/", account_index_view, name="acc-index"),
    path('acc/new/', account_new_view, name='acc-new'),
    path('acc/<id>', account_open_view, name='acc-open'),
    path('acc/<id>/edit', account_edit_view, name='acc-edit'),
    path('acc/<id>/remove', account_remove_view, name='acc-remove'),

    # Eco-account withdraws
    path('acc/<id>/remove/<withdraw_id>', withdraw_remove_view, name='withdraw-remove'),

]