"""
Author: Michel Peltriaux
Organization: Struktur- und Genehmigungsdirektion Nord, Rhineland-Palatinate, Germany
Contact: michel.peltriaux@sgdnord.rlp.de
Created on: 30.11.20

"""
from django.urls import path

from intervention.views import index_view, new_view, open_view, edit_view, remove_view, new_document_view, share_view, \
    create_share_view

app_name = "intervention"
urlpatterns = [
    path("", index_view, name="index"),
    path('new/', new_view, name='new'),
    path('<id>/document/new/', new_document_view, name='new-doc'),
    path('<id>', open_view, name='open'),
    path('<id>/edit', edit_view, name='edit'),
    path('<id>/remove', remove_view, name='remove'),
    path('<id>/share/<token>', share_view, name='share'),
    path('<id>/share', create_share_view, name='share-create'),
]